routes/web.php
<?php

use App\Http\Controllers\Admin\ComicController as AdminComicController;
use App\Http\Controllers\Guest\ComicController as GuestComicController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('Admin')->name('Admin.pages.')->group(function () {
    Route::get('/', function () {
        return view('Admin.pages.home');
    })->name('home');
    
    Route::resource('comics',AdminComicController::class);

    Route::get('/characters', function () {
        return view('Admin.pages.characters');
    })->name('characters');

    Route::get('/movies', function () {
        return view('Admin.pages.movies');
    })->name('movies');

    Route::get('/tv', function () {
        return view('Admin.pages.tv');
    })->name('tv');

    Route::get('/games', function () {
        return view('Admin.pages.games');
    })->name('games');

    Route::get('/collectibles', function () {
        return view('Admin.pages.collectibles');
    })->name('collectibles');

    Route::get('/videos', function () {
        return view('Admin.pages.videos');
    })->name('videos');

    Route::get('/fans', function () {
        return view('Admin.pages.fans');
    })->name('fans');

    Route::get('/news', function () {
        return view('Admin.pages.news');
    })->name('news');

    Route::get('/shop', function () {
        return view('Admin.pages.shop');
    })->name('shop');
});

Route::prefix('')->name('Guest.pages.')->group(function () {
    Route::get('/', function () {
        return view('Guest.pages.home');
    })->name('home');

    Route::get('/comics', [GuestComicController::class , 'index'])->name('comics');

    Route::get('/characters', function () {
        return view('Guest.pages.characters');
    })->name('characters');

    Route::get('/movies', function () {
        return view('Guest.pages.movies');
    })->name('movies');

    Route::get('/tv', function () {
        return view('Guest.pages.tv');
    })->name('tv');

    Route::get('/games', function () {
        return view('Guest.pages.games');
    })->name('games');

    Route::get('/collectibles', function () {
        return view('Guest.pages.collectibles');
    })->name('collectibles');

    Route::get('/videos', function () {
        return view('Guest.pages.videos');
    })->name('videos');

    Route::get('/fans', function () {
        return view('Guest.pages.fans');
    })->name('fans');

    Route::get('/news', function () {
        return view('Guest.pages.news');
    })->name('news');

    Route::get('/shop', function () {
        return view('Guest.pages.shop');
    })->name('shop');
});

resources/views/partials/footer.blade.php
{{--
|--------------------------------------------------------------------------
| Footer
|--------------------------------------------------------------------------
|
| This is the footer of the webpage.
| 
--}}

@php
    $imgsPath = 'resources/assets/images/footer-';

    $navSections= [
                [
                    'title'=> 'Dc Comics',
                    'navItems'=> [
                        'Characters',
                        'Comics',
                        'Movies',
                        'TV',
                        'Games',
                        'Videos',
                        'News',
                    ]
                ],

                [
                    'title'=> 'Shop',
                    'navItems'=> [
                        'Shop DC',
                        'Shop DC Collectibles',
                    ]
                ],

                [
                    'title'=> 'DC',
                    'navItems'=> [
                        'Terms of Use',
                        'Privacy policy(new)',
                        'Ad Choices',
                        'Advertising',
                        'Jobs',
                        'Subscriptions',
                        'Talent Workshops',
                        'CPSC Certificates',
                        'Ratings',
                        'Shop Help',
                        'Contact Us',
                    ]
                ],

                [
                    'title'=> 'Sites',
                    'navItems'=> [
                        'DC',
                        'MAD Magazines',
                        'DC Kids',
                        'DC Universe',
                        'DC Power Visa',
                    ]
                ],
];

    $socialLinks= [
                [
                    'url'=> 'facebook',
                    'description'=> 'Facebook',
                ],


                [
                    'url'=> 'twitter',
                    'description'=> 'Twitter',
                ],


                [
                    'url'=> 'youtube',
                    'description'=> 'Youtube',
                ],


                [
                    'url'=> 'pinterest',
                    'description'=> 'Pinterest',
                ],


                [
                    'url'=> 'periscope',
                    'description'=> 'Google Maps',
                ],
            ]
@endphp


<footer>
    <section id="navbar-container" class="my_container my_d-flex">
        <div class="my_left-content my_d-flex my_column">
            <nav class="my_d-flex my_wrap my_column">
                @foreach ($navSections as $navSection)
                <div class="my_nav-item">
                    <span class="my_text-uppercase my_title">{{ $navSection['title'] }}</span>
                    <ul>
                        @foreach ($navSection['navItems'] as $navItem)
                        <li><a href="#">{{ $navItem }}</a></li>
                        @endforeach
                    </ul>
                </div>
                @endforeach
            </nav>
            <p>All Site Content TM and &#169; 2020 DC Entertainment , unless otherwise <a href="#">noted here</a>.All rights reserved. <a href="#">Cookies Settings</a></p>
        </div>

        <div class="my_img-container my_right-content">
        </div>
    </section>

    <section id="social-links" class="my_container my_d-flex my_justify-between">
        <a href="#" class="my_btn my_text-uppercase my_d-flex my_align-center">Sign-Up Now!</a>
        <div class="my_social-links-container my_d-flex my_align-center">
            <span class="my_text-uppercase">Follow Us</span>
            <ul class="my_d-flex">
                @foreach ($socialLinks as $socialLink)
                <li><a href="#"><img src="{{Vite::asset($imgsPath . $socialLink['url'] . '.png')}}"></a>
                </li>
                    
                @endforeach
            </ul>
        </div>
    </section>
</footer>

resources/views/partials/header.blade.php
{{--
|--------------------------------------------------------------------------
| Header
|--------------------------------------------------------------------------
|
| This is the header of the webpage.
|
--}}

@php
    $navItems = [
                [
                    'text'=> 'Characters',
                    'url'=> 'characters',
                    'isPopulated' => false,
                ],

                [
                    'text'=> 'Comics',
                    'url'=> 'comics',
                    'isPopulated' => true,
                ],

                [
                    'text'=> 'Movies',
                    'url'=> 'movies',
                    'isPopulated' => false,
                ],

                [
                    'text'=> 'TV',
                    'url'=> 'tv',
                    'isPopulated' => false,
                ],

                [
                    'text'=> 'Games',
                    'url'=> 'games',
                    'isPopulated' => false,
                ],

                [
                    'text'=> 'Collectibles',
                    'url'=> 'collectibles',
                    'isPopulated' => false,
                ],

                [
                    'text'=> 'Videos',
                    'url'=> 'videos',
                    'isPopulated' => false,
                ],

                [
                    'text'=> 'Fans',
                    'url'=> 'fans',
                    'isPopulated' => false,
                ],

                [
                    'text'=> 'News',
                    'url'=> 'news',
                    'isPopulated' => false,
                ],

                [
                    'text'=> 'Shop',
                    'url'=> 'shop',
                    'isPopulated' => false,
                ],
            ]
@endphp


<header>
    <aside class="my_d-flex my_justify-end my_container {{$currentUserType === 'Admin' ? 'my_admin-section' : ''}}">
        <a href="#">
            DC POWER&#8480; VISA&#174;
        </a>
        <a href="{{route("$otherUserType.pages.home")}}">
            ADDITIONAL DC SITES
        </a>
    </aside>

    <nav class="my_d-flex my_justify-between my_align-center my_container">
        <a class="my_logo-container" href='{{route("$currentUserType.pages.home")}}'>
            <img src="{{Vite::asset('resources/assets/images/dc-logo.png')}}" alt="logo" title="logo">
        </a>

        <ul class="my_d-flex my_wrap">
            @foreach ($navItems as $navItem)
            @php
                $navItemUrl = "$currentUserType.pages." . $navItem['url'] . (($currentUserType === 'Admin' && $navItem['isPopulated']) ? '.index' : '');
            @endphp
            <li class='my_text-uppercase my_d-flex {{(Request::route()->getName() === $navItemUrl) ? 'my_active' : ''}}'>
                <a href="{{route("$navItemUrl")}}">{{ $navItem['text'] }}</a>
            </li>
            @endforeach
        </ul>

        @if ($currentUserType === 'Admin' && Request::route()->getName() === "Admin.pages.comics.index")    
        <a href="{{route("Admin.pages.comics.create")}}">Create a new comic</a>
        @else
        <input type="text" name="" id="" placeholder='Search' class="my_text-end">
        @endif
    </nav>
</header>